#include <stdio.h>
#include <stdlib.h>
#include <math.h>
long long int brojcifara(long long int);
long long int racun(long long int, long long int, long long int);
int main()
{
    long long int a, b, c, max;
    scanf("%lld %lld %lld", &a, &b, &c);

    max = racun(a, b, c);
    if(racun(a, c, b) > max)
        max = racun(a, c, b);
    if(racun(b, c, a) > max)
        max = racun(b, c, a);
    if(racun(b, a, c) > max)
        max = racun(b, a, c);
    if(racun(c, a, b) > max)
        max = racun(c, a, b);
    if(racun(c, b, a) > max)
        max = racun(c, b, a);

    printf("%lld", max);

    return 0;
}
long long int brojcifara(long long int n)
{
    long long int br;
    for(br = 0; n > 0; n /= 10)
        br++;
        return br;
        }
long long int racun(long long int x, long long int z, long long int y)
{
    return x * pow(10, brojcifara(y) + brojcifara(z)) + y * pow(10, brojcifara(z)) + z;
}